View Single Post
Old 04-04-08, 10:09 PM   #4
valdis
Registered User
 
Join Date: Apr 2003
Posts: 48
Default Re: User kernel Module Compile Error (linux-2.6.25-rc8-mm1 and 171.06/169.12) [technical]

Here's a totally-ugly but works-for-me patch for that particular specific-to-mm API change. Note in particular that the check against linux_version_code is busticated, and *will* do the wrong thing if you build it against a clean 2.6.25 tree when it's released. Feel free to change it to #if 0/#else/#endif instead.
Attached Files
File Type: txt patch.25-rc8-mm1.txt (897 Bytes, 129 views)
valdis is offline   Reply With Quote